classification
Title: IDLE with Tk-Cocoa: Edit, format menus hang
Type: behavior Stage:
Components: IDLE, macOS Versions: Python 2.6
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: ronaldoussoren, wordtech
Priority: normal Keywords:

Created on 2009-07-11 18:31 by wordtech, last changed 2009-08-18 03:24 by wordtech. This issue is now closed.

Messages (2)
msg90431 - (view) Author: Kevin Walzer (wordtech) * Date: 2009-07-11 18:31
In running IDLE against a build of Tk-Cocoa (8.5.7) on OS X, the edit and 
format menus sometimes hang and require a force-quit of IDLE. This happens 
when I try to paste text, and also when trying to format selections of 
text with indentation, etc. I've looked closely at the code for 
Bindings.py, EditorWindow.py, PyShell.py, and macOSXSupport.py, and can 
find no obvious reason for these problems. I am confident that the problem 
is not with Tk-Cocoa itself, as copy, pasting, etc. in a basic Tkinter 
text widget presents no problems, but resides instead somewhere in IDLE's 
code and how it interacts with the Tk-Cocoa build. I'm testing against 
Python 2.6.2.
msg91677 - (view) Author: Kevin Walzer (wordtech) * Date: 2009-08-18 03:24
Following active development and several bugfixes in Tk-Cocoa 8.5.7, the 
issue with the cut/paste events in IDLE's edit menu has resolved itself. 
Therefore I am closing this bug.
History
Date User Action Args
2009-08-18 03:24:29wordtechsetstatus: open -> closed

messages: + msg91677
2009-08-04 20:51:08ned.deilysetassignee: ronaldoussoren

components: + macOS
nosy: + ronaldoussoren
2009-07-11 18:31:52wordtechcreate